from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPresentation2(Protocol):
    def startWithArguments(self, Arguments: PropertyValue >) -> None: ...
    def isRunning(self) -> bool: ...
    def getController(self) -> XSlideShowController: ...
